Ticket #79 (closed enhancement: fixed)

Opened 4 years ago

Last modified 3 years ago

Add firstboot release criteria

Reported by: jlaska Owned by:
Priority: major Milestone: Fedora 14
Component: Wiki Version:
Keywords: retrospective Cc:
Blocked By: Blocking:

Description

problem

See RHBZ#574596 - Smolt does not run at firstboot

analysis

We don't have a way to know what firstboot modules are expected, we need to document this as release criteria, or write a test to report the issue (for details, see RHBZ #574596).

enhancement recommendation

The release criteria do not include what image:Package-x-generic-16.pngfirstboot modules are intended for Fedora. Often, firstboot some modules are missing or disabled, and we don't notice or know whether this is a blocker. Recommend clarifying the use cases of firstboot in the release criteria.

Change History

comment:1 follow-up: ↓ 2 Changed 3 years ago by adamwill

Can we close this now? As I read the current criteria:

"In most cases (see Blocker_Bug_FAQ), a system installed according to any of the above criteria (or the appropriate Beta or Final criteria, when applying this criterion to those releases) must boot to the 'firstboot' utility on the first boot after installation, without unintended user intervention. This includes correctly accessing any encrypted partitions when the correct passphrase is supplied. The firstboot utility must be able to create a working user account "

we specify what firstboot must be capable of: creating a user account. everything else can be broken.

comment:2 in reply to: ↑ 1 Changed 3 years ago by jlaska

  • Status changed from new to closed
  • Resolution set to fixed

Replying to adamwill:

Can we close this now? As I read the current criteria: <snip> we specify what firstboot must be capable of: creating a user account. everything else can be broken.

I think that's 'good enough' for the purposes of this ticket. Thanks!

Note: See TracTickets for help on using tickets.